petsc-3.4.2 2013-07-02

# KSPGetType

Gets the KSP type as a string from the KSP object.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetType(KSP ksp,KSPType *type)

Not Collective

### Input Parameter

ksp -Krylov context

### Output Parameter

name -name of KSP method

### Keywords

KSP, get, method, name

### See Also

KSPSetType()

Level:intermediate
Location:src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages